import { Component, ComponentNames } from ".";
import { Coord2D, Direction } from "../interfaces";

export class Grid extends Component {
  public initialized: boolean;

  public gridPosition: Coord2D;
  public movingDirection: Direction;

  constructor(position: Coord2D = { x: 0, y: 0 }) {
    super(ComponentNames.Grid);

    this.initialized = false;
    this.gridPosition = position;
    this.movingDirection = Direction.NONE;
  }
}
